import { CreateSessionResponse } from '@dvn/kimlik/api/dto';
import { GetSessionResponse } from '@dvn/kimlik/api/dto/CreateSession';
import { CreateAPIKeyResponse, KimlikApi } from '@dvn/kimlik/api/kimlik-api';
import { QueryResponse, UpdateResponse } from "@dvn/core/api";
import { ApiKey } from "@dvn/kimlik/api/models/api-key";
import { SAMLConfig } from "@dvn/kimlik/api/models/saml-config";
export declare class KimlikApiMentornity implements KimlikApi {
  private api;
  constructor(endpoint: string, headers?: any);
  activateUser(_email: string, _firstName: string, _lastName: string, _password: string): Promise<CreateSessionResponse>;
  addAuthInterceptor(token: string): void;
  login(email: string, password: string): Promise<CreateSessionResponse>;
  logout(): Promise<{}>;
  register(_email: string, _firstName: string, _lastName: string, _password: string): Promise<CreateSessionResponse>;
  getSession(): Promise<GetSessionResponse>;
  getUsers(): Promise<QueryResponse>;
  getApiKeys(): Promise<QueryResponse>;
  createApiKey(_data: Partial<ApiKey>): Promise<CreateAPIKeyResponse>;
  deleteApiKey(_id: string): Promise<{}>;
  updateApiKey(_id: string, _data: Partial<ApiKey>): Promise<UpdateResponse>;
  getSAMLConfigs(): Promise<QueryResponse>;
  createSAMLConfig(_data: Partial<SAMLConfig>): Promise<SAMLConfig>;
  deleteSAMLConfig(_id: string): Promise<{}>;
  updateSAMLConfig(_id: string, _data: Partial<SAMLConfig>): Promise<UpdateResponse>;
}
